import 'package:ampos_ui_library/ampos_widgets.dart';
import 'package:ampos_ui_library/widgets/text_widget.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class EditText extends Container {
  EditText({
    @required TextEditingController controller,
    double width = double.infinity,
    double height = 56,
    String label,
    Color labelColor = Colors.white,
    double labelSize = FontSize.small,
    FontWeight labelWeight = FontWeight.bold,
    double textSize = FontSize.normal,
    Color textColor = AmposColors.textPrimary,
    FontWeight textWeight = FontWeight.w300,
    String hint,
    Color backgroundColor = Colors.white,
    EdgeInsets margin = const EdgeInsets.all(0),
    EdgeInsets padding = const EdgeInsets.all(0),
  }) : super(
          width: width,
          height: height,
          margin: margin,
          padding: padding,
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: <Widget>[
              Visibility(
                visible: label != null,
                child: TextWidget(
                  label ?? '',
                  size: labelSize,
                  weight: labelWeight,
                  color: labelColor,
                ),
              ),
              Container(
                margin: EdgeInsets.only(top: 8),
                child: TextField(
                  style: TextStyle(
                      color: textColor,
                      fontSize: textSize,
                      fontWeight: textWeight),
                  controller: controller,
                  cursorColor: textColor,
                  decoration: InputDecoration(
                    contentPadding: EdgeInsets.all(12),
                    enabledBorder: OutlineInputBorder(
                      borderSide:
                          BorderSide(color: Colors.transparent, width: 0),
                      borderRadius: BorderRadius.all(Radius.circular(4)),
                    ),
                    focusedBorder: OutlineInputBorder(
                      borderSide:
                          BorderSide(color: Colors.transparent, width: 0),
                      borderRadius: BorderRadius.all(Radius.circular(4)),
                    ),
                    border: OutlineInputBorder(
                      borderSide:
                          BorderSide(color: Colors.transparent, width: 0),
                      borderRadius: BorderRadius.all(Radius.circular(4)),
                    ),
                    filled: true,
                    hintStyle: TextStyle(
                      color: textColor.withOpacity(0.6),
                      fontSize: textSize,
                    ),
                    hintText: hint ?? '',
                    fillColor: backgroundColor,
                  ),
                ),
              ),
            ],
          ),
        );
}
