import 'package:ampos_ui_library/ampos_widgets.dart';
import 'package:flutter/cupertino.dart';

class GroupText extends Container {
  GroupText({
    @required String title,
    @required String subtitle,
    Color titleColor = AmposColors.textPrimary,
    Color subTitleColor = AmposColors.textPrimary,
    double titleSize = FontSize.small,
    double subTitleSize = FontSize.large,
    FontWeight titleWeight = FontWeight.w300,
    FontWeight subTitleWeight = FontWeight.bold,
    CrossAxisAlignment alignment = CrossAxisAlignment.start,
    double spaceBetween = 4,
    EdgeInsets margin = const EdgeInsets.all(0),
    EdgeInsets padding = const EdgeInsets.all(0),
  }) : super(
          margin: margin,
          padding: padding,
          child: Column(
            crossAxisAlignment: alignment,
            children: [
              TextWidget(
                title,
                color: titleColor,
                size: titleSize,
                weight: titleWeight,
                margin: EdgeInsets.only(bottom: spaceBetween),
              ),
              TextWidget(
                subtitle,
                color: subTitleColor,
                size: subTitleSize,
                weight: subTitleWeight,
              ),
            ],
          ),
        );
}
